#!/bin/sh
TARFILE="$1"; shift
ARGS=''

INSTALL_SCRIPT='bin/install.pike'

while [ $# != 0 ]
do
    case "$1" in
              -v|\
       --version) echo "Pike v8.0 release 1116 Copyright (C) 1994-2020 IDA, Linkping University
Pike comes with ABSOLUTELY NO WARRANTY; This is free software and you
are welcome to redistribute it under certain conditions; Read the
files COPYING and COPYRIGHT in the Pike distribution for more details.
";
		  rm -f PtmPf44dcd8.x
                  exit 0 ;;

              -h|\
          --help) echo "Usage: $TARFILE [options] [variables]

Options:
  -h, --help            Display this help and exit.
  -v, --version         Display version information and exit.
  --features            Display features and exit.
  --interactive         Interactive installation (default).
  --new-style           Install in <prefix>/pike/<ver>/{lib,include,bin}.
  --traditional         Install in <prefix>/{lib/pike,include/pike,bin}.

Variables:
  prefix=<path>         Install pike files here (/usr/local).
  pike_name=<path>      Create a symlink to pike here (<prefix>/bin/pike).
"
		  rm -f PtmPf44dcd8.x
                  exit 0 ;;

      --features) echo "auto_bignum
dynamic_modules
threads
out-of-band_data
double_precision_float
Bz2
Crypto.AES.GCM
Crypto.ECC.Curve
DVB
Fuse
GL
GLUT
GSSAPI
GTK2
Gdbm
Gettext
Gmp
Gz
HTTPAccept
Image.FreeType
Image.GIF
Image.JPEG
Image.PNG
Image.SVG
Image.TIFF
Image.XFace
Java
Java.NATIVE_METHODS
Kerberos
MIME
Mysql
Nettle
Odbc
PDF.PDFlib
Regexp.PCRE
Regexp.PCRE.Widestring
SDL
SQLite
Standards.JSON
System.Inotify
WhiteFish
Yp"
		  rm -f PtmPf44dcd8.x
                  exit 0 ;;

    --list-files) tar xf "$TARFILE" PtmPf44dcd8.tar.gz
                  tar tfz PtmPf44dcd8.tar.gz
                  rm -f PtmPf44dcd8.x PtmPf44dcd8.tar.gz
                  exit 0 ;;

              -s|\
        --script) shift
                  INSTALL_SCRIPT="$1" ;;

               *) ARGS="$ARGS '`echo \"$1\" | sed -e \"s/'/'\\\"'\\\"'/g\"`'" ;;
    esac
    shift
done
echo "   Loading installation script, please wait..."
tar xf "$TARFILE" PtmPf44dcd8.tar.gz
gzip -dc PtmPf44dcd8.tar.gz | tar xf -
rm -rf PtmPf44dcd8.tar.gz
( cd 'Pike-v8.0.1116-Linux-4.9.234-aarch64.dir'
  eval "build/pike -mmaster.pike -DNOT_INSTALLED \"$INSTALL_SCRIPT\" \
  TMP_LIBDIR=\"build/lib\"\
  LIBDIR_SRC=\"lib\"\
  SRCDIR=\"src\"\
  TMP_BINDIR=\"bin\"\
  TMP_BUILDDIR=\"build\"\
  MANDIR_SRC=\"share/man\"\
  DOCDIR_SRC=\"refdoc\"\
  PIKE_MODULE_RELOC=\"\"\
  $ARGS"
)
rm -rf 'Pike-v8.0.1116-Linux-4.9.234-aarch64.dir' PtmPf44dcd8.x
